%define name	gveejay
%define version	0.4.7
%define release 1mdk

Name: 	 	%{name}
Summary: 	GUI for the VeeJay video tools
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	veejay48.png
Source2: 	veejay32.png
Source3: 	veejay16.png
URL:		http://veejay.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk-devel libmjpegtools-devel

%description
Veejay is a live performance tool featuring non-linear editing and mixing from
multiple sources. You can load multiple video clips, cut and paste portions of
video/audio and save it as an EditList. Also, you can create video samples
from clips or tags from (live) streams.

Once the veejay server is running, you can control it with this nice GUI.
See the veejay man page for details.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="GVeeJay" longtitle="Video Editing, Mixing, and Effects" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Dec 13 2003 Austin Acton <austin@linux.ca> 0.4.7-1mdk
- initial package
